Realplayer


#1

Salut à tous

J’ai installé realplayer 10 par apt-get .Il apparait bien dans le poste multimédia mais rien ne se passe lorsque je clique dessus.


#2

lances le en ligne de commande, pour voir les messages d’erreur eventuels.
Sinon, utilises n’importe quel media player libre libre (kaffeine, mplayer, totem,…), et tu pourra en plus regarder d’autres types de flux. :wink:


#3

+1 pour mplayer : c’est du tonnerre, mieux que Windows Media Player ou Real Player qui ne lisent que leur formats propriétaires !
Après tu verras, tu auras un grand sourire lorsque tu liras des vidéos wmp ou ram et que liras en dessous de la vidéo un texte te disant qu’il te faut absolument le logiciel Windows Media Player ou Real Player “qui va bien” :laughing: et bien sûr que tu n’as pas installé (et pour cause). :wink:


#4

[quote=“MattOTop”]lances le en ligne de commande,

En ligne de commande realplay reste bloqué.

Pourquoi j’ai installé realplayer : sous mozilla firefox lorsque je veux écouter Europe1 ,il demande d’installer realplayer sinon ça ne marche pas . Que faut-il alors installer pour pouvoir écouter Europe 1. Merci


#5

salut,
essaye avec kaffeine, en installant le plugin kaffeine-mozilla via apt. Où alors si mplayer est installé, en ouvrant une console et en tapant : $ mplayer -cache 50 mms://vip8.yacast.fr/encodereurope1


#6

[quote=“yo4”]salut,
essaye avec kaffeine, en installant le plugin kaffeine-mozilla via apt. Où alors si mplayer est installé, en ouvrant une console et en tapant : $ mplayer -cache 50 mms://vip8.yacast.fr/encodereurope1[/quote]

J’ai installé kaffeine mozilla . au cours de l’installation il m’a désinstallé kaffeine qui était installé auparavant de sorte que je n’ai plus kaffeine et kaffeine mozilla ne me permet toujours pas de recevoir europe1.fr. Que faire maintenant?


#7

je viens de tester europe 1 sur firefox via kaffeine, aucun souci. Chez moi d’installé j’ai kaffeine 0.7.1-1.1; kaffeine-gsteamer 0.7.1-1.1, kaffeine-mozilla 0.4.3.1-1; kaffeine-xine 0.7.1-1.1.
Sinon pour que le plugin soit effectif dans firefox il faut faire ceci:
installer le paquet mozilla-kaffeine
plugins situé dans /usr/lib/mozilla/plugins
lier
$ ln -s /usr/lib/mozilla/plugins/kaffeineplugin.a /home/yo/.mozilla/plugins

$ ln -s /usr/lib/mozilla/plugins/kaffeineplugin.la /home/yo/.mozilla/plugins

$ ln -s /usr/lib/mozilla/plugins/kaffeineplugin.so /home/yo/.mozilla/plugins

pour voir si les plugins sont effectifs tu peux ensuite taper about:plugins puis entrée dans la barre d’adresse de firefox


#8

perso j’utilise l’excellent plug-in de mplayer pour mozilla:

mozilla-mplayer

[quote]MPlayer-Plugin for Mozilla
mplayerplug-in is a Mozilla browser plugin to allow playing embedded
movies on web pages using mplayer.[/quote]

comme le mentionne yo4, il faut créer des liens symboliques pour les plugins depuis le repertoire plugin de mozilla vers le repertoire plugin de firefox.

pour moi, c’est de /usr/lib/mozilla/plugins vers /usr/local/lib/firefox/plugins (car j’ai installé Fx 1.5 manuellement).

pour cela, utiliser ln -s; exemple pour mplayerplug-in:

ainsi dans mon répertoire /usr/local/lib/firefox/plugins/, j’ai ces fichiers qui me permettent de faire face à tout les formats généralement utilisés sur le net:

flashplayer.xpt libflashplayer.so libjavaplugin_oji.so libmozilla_bonobo.so libnullplugin.so mplayerplug-in-gmp.so mplayerplug-in-gmp.xpt mplayerplug-in-qt.so mplayerplug-in-qt.xpt mplayerplug-in-rm.so mplayerplug-in-rm.xpt mplayerplug-in.so mplayerplug-in-wmp.so mplayerplug-in-wmp.xpt mplayerplug-in.xpt nphelix.so nphelix.xpt nppdf.so

et en effet, about:plugins dans la barre d’url de Fx te permettra de voir si tout est bien là … pour moi, ça donne:

[quote]Installed plug-ins
Find more information about browser plug-ins at mozilla.org.
Help for installing plug-ins is available from plugindoc.mozdev.org.
Shockwave Flash

File name: libflashplayer.so
Shockwave Flash 7.0 r61

MIME Type Description Suffixes Enabled
application/x-shockwave-flash Shockwave Flash swf Yes
application/futuresplash FutureSplash Player spl Yes
Default Plugin

File name: libnullplugin.so
The default plugin handles plugin data for mimetypes and extensions that are not specified and facilitates downloading of new plugins.

MIME Type Description Suffixes Enabled

  • All types .* No
    Helix DNA Plugin: RealPlayer G2 Plug-In Compatible

    File name: nphelix.so
    Helix DNA Plugin: RealPlayer G2 Plug-In Compatible version 0.4.0.572 built with gcc 3.2.0 on Sep 15 2005

MIME Type Description Suffixes Enabled
audio/x-pn-realaudio-plugin RealPlayer Plugin Metafile rpm Yes
Mozilla-Bonobo 0.4.2.1

File name: libmozilla_bonobo.so
This plugin uses GNOME Bonobo controls to display content inline.

MIME Type Description Suffixes Enabled
x-directory/webdav Yes
application/postscript PostScript document Yes
Java™ Plug-in 1.5.0_05-b05

File name: libjavaplugin_oji.so
Java(TM) Plug-in 1.5.0_05

MIME Type Description Suffixes Enabled
application/x-java-vm Java Yes
application/x-java-applet Java Yes
application/x-java-applet;version=1.1 Java Yes
application/x-java-applet;version=1.1.1 Java Yes
application/x-java-applet;version=1.1.2 Java Yes
application/x-java-applet;version=1.1.3 Java Yes
application/x-java-applet;version=1.2 Java Yes
application/x-java-applet;version=1.2.1 Java Yes
application/x-java-applet;version=1.2.2 Java Yes
application/x-java-applet;version=1.3 Java Yes
application/x-java-applet;version=1.3.1 Java Yes
application/x-java-applet;version=1.4 Java Yes
application/x-java-applet;version=1.4.1 Java Yes
application/x-java-applet;version=1.4.2 Java Yes
application/x-java-applet;version=1.5 Java Yes
application/x-java-applet;jpi-version=1.5.0_05 Java Yes
application/x-java-bean Java Yes
application/x-java-bean;version=1.1 Java Yes
application/x-java-bean;version=1.1.1 Java Yes
application/x-java-bean;version=1.1.2 Java Yes
application/x-java-bean;version=1.1.3 Java Yes
application/x-java-bean;version=1.2 Java Yes
application/x-java-bean;version=1.2.1 Java Yes
application/x-java-bean;version=1.2.2 Java Yes
application/x-java-bean;version=1.3 Java Yes
application/x-java-bean;version=1.3.1 Java Yes
application/x-java-bean;version=1.4 Java Yes
application/x-java-bean;version=1.4.1 Java Yes
application/x-java-bean;version=1.4.2 Java Yes
application/x-java-bean;version=1.5 Java Yes
application/x-java-bean;jpi-version=1.5.0_05 Java Yes
Google VLC multimedia plugin 1.0

File name: mplayerplug-in-gmp.so
mplayerplug-in 3.05

Video Player Plug-in for QuickTime, RealPlayer and Windows Media Player streams using MPlayer
JavaScript Enabled and Using GTK2 Widgets

MIME Type Description Suffixes Enabled
application/x-google-vlc-plugin Google Video Yes
QuickTime Plug-in 6.0

File name: mplayerplug-in-qt.so
mplayerplug-in 3.05

Video Player Plug-in for QuickTime, RealPlayer and Windows Media Player streams using MPlayer
JavaScript Enabled and Using GTK2 Widgets

MIME Type Description Suffixes Enabled
video/quicktime Quicktime mov Yes
video/x-quicktime Quicktime mov Yes
image/x-quicktime Quicktime mov Yes
video/quicktime Quicktime mp4 Yes
video/quicktime Quicktime - Session Description Protocol sdp Yes
application/x-quicktimeplayer Quicktime mov Yes
application/smil SMIL smil Yes
RealPlayer 9

File name: mplayerplug-in-rm.so
mplayerplug-in 3.05

Video Player Plug-in for QuickTime, RealPlayer and Windows Media Player streams using MPlayer
JavaScript Enabled and Using GTK2 Widgets

MIME Type Description Suffixes Enabled
audio/x-pn-realaudio RealAudio ram,rm Yes
audio/x-realaudio RealAudio ra Yes
audio/x-pn-realaudio-plugin RealAudio rpm Yes
application/smil SMIL smil Yes
Windows Media Player Plugin

File name: mplayerplug-in-wmp.so
mplayerplug-in 3.05

Video Player Plug-in for QuickTime, RealPlayer and Windows Media Player streams using MPlayer
JavaScript Enabled and Using GTK2 Widgets

MIME Type Description Suffixes Enabled
application/asx Media Files * Yes
video/x-ms-asf-plugin Media Files * Yes
video/x-msvideo AVI avi,* Yes
video/msvideo AVI avi,* Yes
application/x-mplayer2 Media Files * Yes
application/x-ms-wmv Microsoft WMV video wmv,* Yes
video/x-ms-asf Media Files asf,asx,* Yes
video/x-ms-wm Media Files wm,* Yes
video/x-ms-wmv Microsoft WMV video wmv,* Yes
video/x-ms-wmp Windows Media wmp,* Yes
video/x-ms-wvx Windows Media wvx,* Yes
audio/x-ms-wax Windows Media wax,* Yes
audio/x-ms-wma Windows Media wma,* Yes
application/x-drm-v2 Windows Media asx,* Yes
audio/wav Microsoft wave file wav,* Yes
audio/x-wav Microsoft wave file wav,* Yes
mplayerplug-in 3.05

File name: mplayerplug-in.so
mplayerplug-in 3.05

Video Player Plug-in for QuickTime, RealPlayer and Windows Media Player streams using MPlayer
JavaScript Enabled and Using GTK2 Widgets

MIME Type Description Suffixes Enabled
video/mpeg MPEG mpg,mpeg Yes
audio/mpeg MPEG mpg,mpeg Yes
video/x-mpeg MPEG mpg,mpeg Yes
video/x-mpeg2 MPEG2 mpv2,mp2ve Yes
audio/mpeg MPEG mpg,mpeg Yes
audio/x-mpeg MPEG mpg,mpeg Yes
audio/mpeg2 MPEG audio mp2 Yes
audio/x-mpeg2 MPEG audio mp2 Yes
audio/mpeg3 MPEG audio mp3 Yes
audio/x-mpeg3 MPEG audio mp3 Yes
audio/mp3 MPEG audio mp3 Yes
video/mp4 MPEG 4 Video mp4 Yes
application/x-ogg Ogg Vorbis Media ogg Yes
audio/ogg Ogg Vorbis Audio ogg Yes
application/ogg Ogg Vorbis / Ogg Theora ogg Yes
video/fli FLI animation fli,flc Yes
video/x-fli FLI animation fli,flc Yes
video/vnd.vivo VivoActive viv,vivo Yes
application/x-nsv-vp3-mp3 Nullsoft Streaming Video nsv Yes
Adobe Reader 7.0

File name: nppdf.so
The Adobe Reader plugin is used to enable viewing of PDF and FDF files from within the browser.

MIME Type Description Suffixes Enabled
application/pdf Portable Document Format pdf Yes
application/vnd.fdf Acrobat Forms Data Format fdf Yes
application/vnd.adobe.xfdf XML Version of Acrobat Forms Data Format xfdf Yes
application/vnd.adobe.xdp+xml Acrobat XML Data Package xdp Yes
application/vnd.adobe.xfd+xml Adobe FormFlow99 Data File xfd Yes[/quote]

sans oublier auparavant d’installer tous les codecs pour être tranquille avec tous les formats par après:

w32codecs (depuis les dépots de C. Marrillat)

### MARILLAT (Unofficial Multimedia Packages) deb ftp://ftp.nerim.net/debian-marillat/ sarge main deb ftp://ftp.nerim.net/debian-marillat/ etch main

[quote]win32 binary codecs
This package contain video codecs for popular proprietary formats not
natively supported by mplayer.

ATI VCR-2 video codec.
Cinepak video codec
DivX :wink: video codec, ver. 3.11
DivX :wink: video codec, ver. 4.x
Indeo Video 3.2/4.1/5.0/4.1 quick/5.0 quick codecs.
Intel 263 video codec.
Microsoft MPEG-4 video codec, beta version 3.0.0.2700
Morgan Multimedia Motion JPEG video codec.
QuickTime
RealAudio
RealVideo 8
RealVideo 9
Windows Media Video 9

And more…[/quote]

avec ça, tu seras paré :smiley:


#9

question idiote: les plugins mozilla peuvent ils empêcher firefox de fonctionner ?
Parceque sinon, c’est peut être plus simple de connecter /usr/local/lib/firefox/plugins sur /usr/lib/mozilla/plugins, pour ne pas avoir à faire des liens à chaque fois…
Non ?


#10

[quote=“MattOTop”]question idiote: les plugins mozilla peuvent ils empêcher firefox de fonctionner ?
Parceque sinon, c’est peut être plus simple de connecter /usr/local/lib/firefox/plugins sur /usr/lib/mozilla/plugins, pour ne pas avoir à faire des liens à chaque fois…
Non ?[/quote]

tout à fait mais je ne l’ai pas fait car le plugin libnullplugin.so de mozilla et de firefox différe (en taille tout du moins).

je devais essayer mais je ne l’ai pas encore fait …

à tester et si ok, en effet, c’est plus simple et toujours à jour …

@+


#11

Salut ghostintheshell,
j’ai vu que tu avais firefox en 1.5, manuellement forcement. Moi j’y ai renoncé pour l’instant, gardant 1.0.7, car j’avais des soucis d’extensions (adblock par exemple si je me souviens bien). Pas de soucis pour toi?


#12

[quote=“yo4”]Salut ghostintheshell,
j’ai vu que tu avais firefox en 1.5, manuellement forcement. Moi j’y ai renoncé pour l’instant, gardant 1.0.7, car j’avais des soucis d’extensions (adblock par exemple si je me souviens bien). Pas de soucis pour toi?[/quote]

non, à partir du moment ou tu utilises adblock+, adblock n’etant plus maintenu je crois.

voici la liste de mes extensions compatibles Fx 1.5:

CustomizeGoogle 0.39
Tab Mix Plus 0.2.5.2
Adblock Plus 0.5.11
Adblock Filterset.G Updater 0.2.6
Fasterfox 0.7.9
Mouse Gestures 1.0.4
Forecastfox 0.8.2.5
Quitomzilla 0.5.1 (hé oui ^^)

@+


#13

ok pour adblock+ alors! Là je suis au boulot, je te donnerais ma liste d’extensions quand je pourrais.
Merci, a+, :wink:


#14

rentré tard du boulot moi, y’avait un pot, hips. Comme extensions j’ai adblock et chromedit, et comme thème silver skin. Je me lance donc dans la version 1.5 et remplace adblock par adblock+, mais pas ce soir, hips.


#15

Vite un alcootest, avant qu’il reparte !


#16

Ben je lui ai passé le mien électronique mais il m’a mis erreur au niveau de la lecture du taux première fois qu’il me fait ca :smiley:


#17

Harg je suis pris. Vivement les vacances que ça me repose le foi.
ps:yes,yes, grand posteur, je file modifier mon cv, 8) .


#18

Avec les vacances, la sobriété aidant, j’ai installé firefox 1.5, avec adblock+.
Impec, merci ghostintheshell, 8) .